%define major     0
%define libname   %mklibname %{name} %{major}
%define devname   %mklibname %{name} -d

Name:             gr-iqbal
Summary:          GNURadio block for suppressing IQ imbalance
Version:          0.37.2
Release:          %mkrel 12
License:          GPLv3+
Group:            Communications/Radio
URL:              http://cgit.osmocom.org/gr-iqbal/

BuildRequires:    cmake
BuildRequires:    pkgconfig(gnuradio-runtime)
BuildRequires:    pkgconfig(libosmodsp)
BuildRequires:    pkgconfig(fftw3)
BuildRequires:    gnuradio-utils
BuildRequires:    boost-devel
BuildRequires:    doxygen
BuildRequires:    graphviz
BuildRequires:    swig

Source0:          http://cgit.osmocom.org/%{name}/snapshot/%{name}-%{version}.tar.bz2
# Patch sent upstream
Patch0:           gr-iqbal-0.37.2-soname-fix.patch

%description
This GNURadio block can suppress IQ imbalance in the RX path of
quadrature receivers.

%package -n %{libname}
Summary:          Library files for gr-iqbal
Group:            Communications/Radio

%description -n %{libname}
Library files for gr-iqbal.

%package -n %{devname}
Summary:          Development files for gr-iqbal
Group:            Communications/Radio
Requires:         %{name} = %{version}-%{release}
Provides:         %{name}-devel = %{version}-%{release}

%description -n %{devname}
Development files for gr-iqbal.

%package doc
Summary:          Documentation files for gr-iqbal
Group:            Communications/Radio
BuildArch:        noarch

%description doc
Documentation files for gr-iqbalance.

%prep
%setup -q
%autopatch -p1

%build

%cmake -DENABLE_DOXYGEN=on -DGR_PKG_DOC_DIR=%{_docdir}/%{name} ..

%make

%install
cd build
make install DESTDIR=%{buildroot} docdir=%{buildroot}%{_docdir}/%{name}

# Fix docs location
mkdir -p %{buildroot}%{_docdir}
mv %{buildroot}%{_datadir}/doc/gr-iqbalance %{buildroot}%{_docdir}/%{name}

cat > %{name}-doc.desktop << EOF
[Desktop Entry]
Version=1.0
Name=Gr-iqbalance Documentation
GenericName=Gr-iqbalance Documentation
Exec=xdg-open /usr/share/doc/%{name}/html/index.html
Icon=
Terminal=false
Type=Application
Categories=System;Documentation;X-Mageia-CrossDesktop;
EOF

desktop-file-install \
--dir=%{buildroot}%{_datadir}/applications %{name}-doc.desktop

%files
%exclude %{_docdir}/%{name}/html
%exclude %{_docdir}/%{name}/xml
%doc AUTHORS

%{python_sitearch}/*
%{_datadir}/gnuradio/grc/blocks/*

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/gnuradio/iqbalance
%{_includedir}/gnuradio/swig/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so

%files doc
%doc %{_docdir}/%{name}/html
%doc %{_docdir}/%{name}/xml
%{_datadir}/applications/%{name}-doc.desktop


%changelog
* Thu Sep 08 2016 barjac <barjac> 0.37.2-12.mga6
+ Revision: 1050496
- rebuild for gnuradio-3.7.10.1

* Wed Jul 27 2016 barjac <barjac> 0.37.2-11.mga6
+ Revision: 1043765
- rebuild for new gnuradio

* Wed Jul 27 2016 tmb <tmb> 0.37.2-10.mga6
+ Revision: 1043735
- rebuild for new gnuradio

* Thu Apr 14 2016 barjac <barjac> 0.37.2-9.mga6
+ Revision: 1001473
- rebuild for gnuradio

* Mon Feb 22 2016 barjac <barjac> 0.37.2-8.mga6
+ Revision: 976041
- rebuild for gnuradio

* Fri Feb 05 2016 umeabot <umeabot> 0.37.2-7.mga6
+ Revision: 937380
- Mageia 6 Mass Rebuild

* Thu Feb 04 2016 barjac <barjac> 0.37.2-6.mga6
+ Revision: 935396
- build for arm

* Thu Dec 31 2015 barjac <barjac> 0.37.2-5.mga6
+ Revision: 917213
- rebuild for gnuradio-3.7.9

* Sat Dec 26 2015 barjac <barjac> 0.37.2-4.mga6
+ Revision: 915207
- rebuild for boost-1.60.0

* Mon Dec 14 2015 barjac <barjac> 0.37.2-3.mga6
+ Revision: 910387
- rebuild for gnuradio-3.7.8.1

* Sat Sep 26 2015 barjac <barjac> 0.37.2-2.mga6
+ Revision: 883861
- rebuild for boost-1.59

* Sat Jan 17 2015 barjac <barjac> 0.37.2-1.mga6
+ Revision: 811115
- Import gr-iqbal - thanks to Fedora

